import { ReactNode } from 'react';
import { ITooltipOptions } from './useTooltip';
import { ITooltipContentProps } from './TooltipContent';
export interface ITooltipProps extends ITooltipOptions, ITooltipContentProps {
    /**
     * Defines trigger node
     */
    children?: ReactNode;
    /**
     * Defines tooltip content class name
     */
    className?: string;
    /**
     * Defines tooltip content
     */
    content: ReactNode;
    /**
     * Defines tooltip as popover style
     */
    isPopoverStyle?: boolean;
    /**
     * Defines trigger node is plain text or an element
     */
    triggerIsPlain?: boolean;
}
export declare function Tooltip({ children, className, content, hideArrow, isPopoverStyle, size, theme, triggerIsPlain, wider, ...options }: ITooltipProps): JSX.Element;
//# sourceMappingURL=Tooltip.d.ts.map